Base directory for gtkmm - the widget set. 

Here is the layout

  src - actual sources used to build
  gtkmm - built sources (do not edit)

The .h/.cc files are usually only built from the .hg/.ccg files when 
--enable-maintainer-mode has been passed to configure. This will be the case when 
building from svn, when using the autogen.sh script. If you think that you need to 
change the .hg/ccg files then you should indeed be using an svn checkout so that 
you can create an svn patch and submit it to the gtkmm project.
 
